package com.lz.modules.flow.dao;
/**
* <p>
* 文件上传表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-25
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lz.modules.flow.entity.RecordFile;
import com.lz.modules.flow.req.ResultDetailReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface RecordFileMapper extends BaseMapper<RecordFile> {


	RecordFile selectRecordFileById(@Param("id") Long id);


	Long insertRecordFile(RecordFile recordFile);


	int updateRecordFileById(RecordFile recordFile);


	int updateCoverRecordFileById(RecordFile recordFile);


	int deleteRecordFileById(@Param("id") Long id);


    List<RecordFile> selectByCondition(@Param("page") IPage page , @Param("req") ResultDetailReq req);

    int selectRecordFileCountByRecordId(@Param("recordId") Long recordId);
}